const __VLS_props = withDefaults(defineProps(), { severity: 'primary', type: 'button', disabled: false, loading: false });
const emit = defineEmits();
const __VLS_defaults = { severity: 'primary', type: 'button', disabled: false, loading: false };
const __VLS_ctx = {
    ...{},
    ...{},
    ...{},
    ...{},
    ...{},
};
let __VLS_components;
let __VLS_intrinsics;
let __VLS_directives;
__VLS_asFunctionalElement1(__VLS_intrinsics.button, __VLS_intrinsics.button)({
    ...{ onClick: (...[$event]) => {
            return (__VLS_ctx.emit('activate', $event));
            // @ts-ignore
            [emit,];
        } },
    ...{ class: "ks-native-button" },
    ...{ class: (`is-${__VLS_ctx.severity}`) },
    type: (__VLS_ctx.type),
    disabled: (__VLS_ctx.disabled || __VLS_ctx.loading),
});
/** @type {__VLS_StyleScopedClasses['ks-native-button']} */ ;
if (__VLS_ctx.loading) {
    __VLS_asFunctionalElement1(__VLS_intrinsics.span, __VLS_intrinsics.span)({
        'aria-hidden': "true",
    });
}
var __VLS_0 = {};
(__VLS_ctx.label);
// @ts-ignore
var __VLS_1 = __VLS_0;
// @ts-ignore
[severity, type, disabled, loading, loading, label,];
const __VLS_base = (await import('vue')).defineComponent({
    __typeEmits: {},
    __typeProps: {},
    props: {},
});
const __VLS_export = {};
export default {};
